<template>
    <form class="container" v-on:submit.prevent="submit()">
        <div class="col-12">
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>Titre
                            <span>*</span>
                        </label>
                        <input class="form-control" type="text" name="title" v-model="task.title" required>
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label> Durée en 8ème jr
                        </label>
                        <input class="form-control" type="number" name="duration" v-model="task.duration">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label> Prix vendu
                            <span>*</span>
                        </label>
                        <input class="form-control" type="number" name="duration" v-model="task.price" required>
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label> Progression du prix
                        </label>
                        <input class="form-control" type="number" name="duration" v-model="task.priceProgression">
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label> Etat
                    </label>
                    <select class="form-control" type="text" name="developer" v-model="task.status" required>
                        <option value="Nouvelle">
                            Nouvelle
                        </option>
                        <option value="En Cours">
                            En Cours
                        </option>
                        <option value="Testée validée">
                            Testée validée
                        </option>
                        <option value="Besoin information">
                            Besoin information
                        </option>
                        <option value="Annulée">
                            Annulée
                        </option>
                        <option value="Testée non validée">
                            Testée non validée
                        </option>
                    </select>
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label> Développeur
                    </label>
                    <select class="form-control" type="text" name="developer" v-model="task.developer" v-if="task.developer" required>
                        <option v-for="dev in users" v-bind:value="dev">
                            {{dev.firstname}} {{dev.lastname}}
                        </option>
                    </select>
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label> Description</label>
                    <textarea class="form-control" type="text" name="comment" v-model="task.comment"></textarea>
                </div>
            </div>
    
            <div class="col-12">
                <div class="form-group">
                    <button class="btn btn-primary" type="submit"> Sauvegarder </button>
                    <button class="btn btn-secondary" type="button" v-on:click="back()"> Retour </button>
                    <button class="btn btn-danger" type="button" v-on:click="remove()"> Supprimer </button>
                </div>
            </div>
    
        </div>
    </form>
</template>

<script>

import DatePicker from 'vuejs-datepicker';

export default {
    props: ['task','users'],
    methods: {
        submit: function () {
            this.$emit("submit");
        },
        back: function () {
            this.$emit("back");
        },
        remove: function () {
            this.$emit("remove");
        }
    },
    components: {
        DatePicker
    }
}
</script>

<style scoped>
span {
    color: red;
}

.wider {
    width: 30px;
    height: 30px;
}
</style>
